Subject: Re: linux-next: build failure after merge of the bluetooth tree

From: "Iwashima, Kuniyuki" <[email-masked]>
Date: Thu, 20 Jul 2023 22:21:02 +0000

From: Stephen Rothwell <[email-masked]>
Date: Fri, 21 Jul 2023 08:12:58 +1000
> Hi Jakub,
> 
> On Thu, 20 Jul 2023 08:14:30 -0700 Jakub Kicinski <[email-masked]> wrote:
> >
> > On Wed, 19 Jul 2023 20:24:35 -0700 Jakub Kicinski wrote:
> > > On Thu, 20 Jul 2023 03:17:37 +0000 Von Dentz, Luiz wrote:  
> > > > Sorry for not replying inline, outlook on android, we use scm_recv
> > > > not scm_recv_unix, so Id assume that change would return the initial
> > > > behavior, if it did not then it is not fixing anything.    
> > >
> > > Ack, that's what it seems like to me as well.
> > >
> > > I fired up an allmodconfig build of linux-next. I should be able
> > > to get to the bottom of this in ~20min :)  
> >
> > I kicked it off and forgot about it.
> > allmodconfig on 352ce39a8bbaec04 (next-20230719) builds just fine :S
> 
> Of course it does, as commit
> 
> 817efd3cad74 ("Bluetooth: hci_sock: Forward credentials to monitor")
> 
> is reverted in linux-next.  The question is "Does the bluetooth tree
> build?" or "Does the net-next tree build *if* you merge the bluetooth
> tree into it?"

FWIW, I was able to built net-next with the commit yesterday.

---8<---
$ grep CONFIG_BT .config
CONFIG_BT=m
CONFIG_BT_BREDR=y
CONFIG_BT_RFCOMM=m
CONFIG_BT_RFCOMM_TTY=y
CONFIG_BT_BNEP=m
CONFIG_BT_BNEP_MC_FILTER=y
CONFIG_BT_BNEP_PROTO_FILTER=y
CONFIG_BT_HIDP=m
CONFIG_BT_HS=y
CONFIG_BT_LE=y
CONFIG_BT_LE_L2CAP_ECRED=y
CONFIG_BT_LEDS=y
CONFIG_BT_MSFTEXT=y
CONFIG_BT_AOSPEXT=y
CONFIG_BT_DEBUGFS=y
CONFIG_BT_SELFTEST=y
CONFIG_BT_SELFTEST_ECDH=y
CONFIG_BT_SELFTEST_SMP=y
CONFIG_BT_FEATURE_DEBUG=y
CONFIG_BT_INTEL=m
CONFIG_BT_BCM=m
CONFIG_BT_RTL=m
CONFIG_BT_MTK=m
CONFIG_BT_HCIBTUSB=m
CONFIG_BT_HCIBTUSB_AUTOSUSPEND=y
CONFIG_BT_HCIBTUSB_POLL_SYNC=y
CONFIG_BT_HCIBTUSB_BCM=y
CONFIG_BT_HCIBTUSB_MTK=y
CONFIG_BT_HCIBTUSB_RTL=y
CONFIG_BT_HCIUART=m
CONFIG_BT_HCIUART_H4=y
CONFIG_BT_HCIUART_BCSP=y
CONFIG_BT_HCIUART_ATH3K=y
CONFIG_BT_HCIUART_AG6XX=y
CONFIG_BT_HCIBCM203X=m
CONFIG_BT_HCIBCM4377=m
CONFIG_BT_HCIBPA10X=m
CONFIG_BT_HCIBFUSB=m
CONFIG_BT_HCIDTL1=m
CONFIG_BT_HCIBT3C=m
CONFIG_BT_HCIBLUECARD=m
CONFIG_BT_HCIVHCI=m
CONFIG_BT_MRVL=m
CONFIG_BT_ATH3K=m
CONFIG_BT_VIRTIO=m
---8<---